/****
 * CImage.h
 *
 *	Persistent blob class.
 *
 ****/

#pragma once			/* Include this file only once */
#include <time.h>
#include "CCluster.h"
#include "CNeoBlob.h"

#define kImageID		9

enum FilmT {
	eTriX,
	ePanX,
	eUnknown
};
typedef enum FilmT Film;

class CImage : public CNeoBlob {
public:
						/** Instance Methods **/
	static CNeoPersist *New(void);
	virtual long		doUntilSubclass(NeoTestFunc1 aFunc, long aParam);
	virtual void		readObject(const long aMark, CNeoPersist *aParent, const NeoID aID);
	virtual void		writeObject(const long aLength);

						/** Object List Methods **/
	virtual NeoID		getClassID(void);

						/** Rendering Methods **/
	virtual void		draw(Rect *aRect);

protected:
						/** Instance Variables **/
	Str32				fPhotographer;
	time_t				fDate;
	Film				fFilm;
};

