/**********************************************************************
  CNeoWindow.c

  This window behaves differently than CWindow when it is Zoomed.
  It is supposed to move to the center of the screen when the Zoom
  button is pressed.   So no matter where it is,  it will always
  center when Zoom is pressed.

  The "Direction" argument to Zoom is meaningless and is ignored.
**********************************************************************/

#include "NeoTypes.h"
#include "CNeoWindow.h"
#include "CDecorator.h"

extern	CDecorator	*gDecorator;	/* Window dressing object	*/

/**********************************************************************

**********************************************************************/
CNeoWindow::CNeoWindow(short WINDid, Boolean aFloating, CDesktop *anEnclosure, CDirector *aSupervisor)
{
	IWindow(WINDid, aFloating, anEnclosure, aSupervisor);
}

void	CNeoWindow::Zoom(short aDirection)				/* Zoom can be in or out */
{
	if (gDecorator)
		gDecorator->CenterWindow(this);
}

